Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 4181 - apxs -i doesn't install correct module path
Summary: apxs -i doesn't install correct module path
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: apache
Version: 6.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: David Lawrence
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-07-23 18:54 UTC by tomj
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-08-27 15:30:47 UTC


Attachments (Terms of Use)

Description tomj 1999-07-23 18:54:37 UTC
When I run apxs -i -a -n 'foo' mod_foo.so the line added
to the httpd.conf file looks like this:

LoadModule foo_module lib/apache/mod_foo.so

However, the 'ServerRoot' is used to find these modules and
that is set to /etc/httpd so the correct line should be:

LoadModule foo_module modules/mod_foo.so

So, after running apxs -i, httpd will fail to start since it
can't load the module.  This was a problem in RH 5.2 and is
still a problem in 6.0.

Comment 1 Preston Brown 1999-08-27 15:30:59 UTC
this will be fixed in the next release (6.1).


Note You need to log in before you can comment on or make changes to this bug.